diff --git a/devel/kdevelop/Makefile b/devel/kdevelop/Makefile
index 2d99162da0ca..e9a0cbd9c3f3 100644
--- a/devel/kdevelop/Makefile
+++ b/devel/kdevelop/Makefile
@@ -3,7 +3,6 @@
 #  devel/kdev-python
 PORTNAME=	kdevelop
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	4
 CATEGORIES=	devel kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -16,28 +15,22 @@ LICENSE_COMB=	multi
 BUILD_DEPENDS=	kdev-pg-qt:devel/kdevelop-pg-qt
 LIB_DEPENDS=	libKasten4Controllers.so:devel/okteta \
 		libapr-1.so:devel/apr1 \
+		libsvn_client-1.so:devel/subversion \
 		libboost_thread.so:devel/boost-libs \
 		libkomparediff2.so:textproc/libkomparediff2
-.if ${WITH_SUBVERSION_VER:U} == LTS
-LIB_DEPENDS+=	libsvn_client-1.so:devel/subversion-lts
-.else
-LIB_DEPENDS+=	libsvn_client-1.so:devel/subversion
-.endif
 RUN_DEPENDS=	gmake:devel/gmake
 
-USES=		cmake compiler:c++11-lib desktop-file-utils gettext grantlee:5 \
-		kde:5 llvm:build,run,noexport pkgconfig qt:5 shared-mime-info \
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:6 \
+		llvm:build,run,noexport pkgconfig qt:6 shared-mime-info \
 		shebangfix tar:xz xorg
 USE_KDE=	archive attica auth bookmarks codecs completion config \
-		configwidgets coreaddons crash emoticons guiaddons i18n \
-		iconthemes init itemmodels itemviews jobwidgets kcmutils \
-		kdeclarative kio libksysguard newstuff notifications \
-		notifyconfig package parts plasma-framework purpose runner \
-		service solid sonnet syntaxhighlighting texteditor textwidgets \
-		threadweaver widgetsaddons windowsystem xmlgui
-USE_QT=		concurrent core dbus declarative gui help location network \
-		printsupport script sql webchannel webengine widgets xml \
-		buildtools:build qmake:build
+		configwidgets coreaddons crash guiaddons i18n iconthemes \
+		itemmodels itemviews jobwidgets kcmutils kdeclarative kio \
+		libplasma newstuff notifications notifyconfig package parts \
+		purpose runner service solid sonnet syntaxhighlighting \
+		texteditor texttemplate textwidgets threadweaver \
+		widgetsaddons windowsystem xmlgui
+USE_QT=		base webengine
 USE_XORG=	x11
 SHEBANG_FILES=	kdevplatform/util/kdevplatform_shell_environment.sh \
 		kdevplatform/util/.zshrc
@@ -45,15 +38,15 @@ SHEBANG_FILES=	kdevplatform/util/kdevplatform_shell_environment.sh \
 # IDE, which **probably** is used for Qt / KDE development (also
 # other things, but let's guess a target market), pull in some
 # additional development things that are otherwise build-dep-only.
-USE_KDE+=	ecm:build
-USE_QT+=	testlib
+USE_KDE+=	ecm
 
 CMAKE_ARGS=	-DCMAKE_POLICY_DEFAULT_CMP0074=NEW \
 		-DClang_DIR=${LLVM_PREFIX}/lib/cmake/clang
+CMAKE_OFF=	USE_QTWEBKIT
 
 # Versioning values, to reduce plist churn
-SO_VER=		512
-SO_VER_LONG=	5.12.230804
+SO_VER=		61
+SO_VER_LONG=	6.1.241200
 PLIST_SUB+=	SO_VER=${SO_VER} SO_VER_LONG=${SO_VER_LONG}
 
 SHEBANG_LANG=	zsh
diff --git a/devel/kdevelop/distinfo b/devel/kdevelop/distinfo
index 7253815fbf3c..3977196f3842 100644
--- a/devel/kdevelop/distinfo
+++ b/devel/kdevelop/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889339
-SHA256 (KDE/release-service/23.08.5/kdevelop-23.08.5.tar.xz) = d634f287f72c6e1097f2de1ea2f8bab41899952adcf879b0fe6daa14fecee1f8
-SIZE (KDE/release-service/23.08.5/kdevelop-23.08.5.tar.xz) = 8709732
+TIMESTAMP = 1734460096
+SHA256 (KDE/release-service/24.12.0/kdevelop-24.12.0.tar.xz) = 72a7fd572360c995b54febf020c25755e42d8b84c065e453a436663298b82231
+SIZE (KDE/release-service/24.12.0/kdevelop-24.12.0.tar.xz) = 8833432
diff --git a/devel/kdevelop/pkg-plist b/devel/kdevelop/pkg-plist
index 9c65a2b5b366..5c85bf8a04d5 100644
--- a/devel/kdevelop/pkg-plist
+++ b/devel/kdevelop/pkg-plist
@@ -104,7 +104,6 @@ include/kdevplatform/language/codecompletion/codecompletionmodel.h
 include/kdevplatform/language/codecompletion/codecompletiontesthelper.h
 include/kdevplatform/language/codecompletion/codecompletionworker.h
 include/kdevplatform/language/codecompletion/normaldeclarationcompletionitem.h
-include/kdevplatform/language/codegen/applychangeswidget.h
 include/kdevplatform/language/codegen/astchangeset.h
 include/kdevplatform/language/codegen/basicrefactoring.h
 include/kdevplatform/language/codegen/codedescription.h
@@ -256,6 +255,7 @@ include/kdevplatform/project/projectutils.h
 include/kdevplatform/project/widgets/dependencieswidget.h
 include/kdevplatform/serialization/abstractitemrepository.h
 include/kdevplatform/serialization/indexedstring.h
+include/kdevplatform/serialization/indexedstringview.h
 include/kdevplatform/serialization/itemrepository.h
 include/kdevplatform/serialization/itemrepositoryexampleitem.h
 include/kdevplatform/serialization/itemrepositoryreferencecounting.h
@@ -263,8 +263,6 @@ include/kdevplatform/serialization/itemrepositoryregistry.h
 include/kdevplatform/serialization/referencecounting.h
 include/kdevplatform/serialization/repositorymanager.h
 include/kdevplatform/serialization/serializationexport.h
-include/kdevplatform/shell/checkerstatus.h
-include/kdevplatform/shell/colorschemechooser.h
 include/kdevplatform/shell/core.h
 include/kdevplatform/shell/documentcontroller.h
 include/kdevplatform/shell/environmentconfigurebutton.h
@@ -289,6 +287,7 @@ include/kdevplatform/shell/sessioncontroller.h
 include/kdevplatform/shell/sessionlock.h
 include/kdevplatform/shell/shellexport.h
 include/kdevplatform/shell/shellextension.h
+include/kdevplatform/shell/sourceformatterconfig.h
 include/kdevplatform/shell/sourceformattercontroller.h
 include/kdevplatform/shell/sourceformatterselectionedit.h
 include/kdevplatform/shell/textdocument.h
@@ -322,10 +321,14 @@ include/kdevplatform/util/focusedtreeview.h
 include/kdevplatform/util/foregroundlock.h
 include/kdevplatform/util/formattinghelpers.h
 include/kdevplatform/util/jobstatus.h
+include/kdevplatform/util/kdevcoreaddons/kcompoundjob.h
+include/kdevplatform/util/kdevcoreaddons/ksequentialcompoundjob.h
+include/kdevplatform/util/kdevcoreaddons/ksimplesequentialcompoundjob.h
 include/kdevplatform/util/kdevstringhandler.h
 include/kdevplatform/util/kdevvarlengtharray.h
 include/kdevplatform/util/ksharedobject.h
 include/kdevplatform/util/multilevellistview.h
+include/kdevplatform/util/namespacedoperatorbitwiseorworkaroundqtbug.h
 include/kdevplatform/util/objectlist.h
 include/kdevplatform/util/owningrawpointercontainer.h
 include/kdevplatform/util/path.h
@@ -334,6 +337,7 @@ include/kdevplatform/util/processlinemaker.h
 include/kdevplatform/util/projecttestjob.h
 include/kdevplatform/util/pushvalue.h
 include/kdevplatform/util/stack.h
+include/kdevplatform/util/stringviewhelpers.h
 include/kdevplatform/util/texteditorhelpers.h
 include/kdevplatform/util/utilexport.h
 include/kdevplatform/util/widgetcolorizer.h
@@ -383,40 +387,57 @@ lib/libKDevCMakeCommon.so.%%SO_VER%%
 lib/libKDevClangPrivate.so.%%SO_VER%%
 lib/libKDevCompileAnalyzerCommon.so.%%SO_VER%%
 lib/libKDevPlatformDebugger.so
-lib/libKDevPlatformDebugger.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformDebugger.so.%%SO_VER_LONG%%
 lib/libKDevPlatformDebugger.so.%%SO_VER%%
 lib/libKDevPlatformDocumentation.so
-lib/libKDevPlatformDocumentation.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformDocumentation.so.%%SO_VER_LONG%%
 lib/libKDevPlatformDocumentation.so.%%SO_VER%%
 lib/libKDevPlatformInterfaces.so
-lib/libKDevPlatformInterfaces.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformInterfaces.so.%%SO_VER_LONG%%
 lib/libKDevPlatformInterfaces.so.%%SO_VER%%
 lib/libKDevPlatformLanguage.so
-lib/libKDevPlatformLanguage.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformLanguage.so.%%SO_VER_LONG%%
 lib/libKDevPlatformLanguage.so.%%SO_VER%%
 lib/libKDevPlatformOutputView.so
-lib/libKDevPlatformOutputView.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformOutputView.so.%%SO_VER_LONG%%
 lib/libKDevPlatformOutputView.so.%%SO_VER%%
 lib/libKDevPlatformProject.so
-lib/libKDevPlatformProject.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformProject.so.%%SO_VER_LONG%%
 lib/libKDevPlatformProject.so.%%SO_VER%%
 lib/libKDevPlatformSerialization.so
-lib/libKDevPlatformSerialization.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformSerialization.so.%%SO_VER_LONG%%
 lib/libKDevPlatformSerialization.so.%%SO_VER%%
 lib/libKDevPlatformShell.so
-lib/libKDevPlatformShell.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformShell.so.%%SO_VER_LONG%%
 lib/libKDevPlatformShell.so.%%SO_VER%%
 lib/libKDevPlatformSublime.so
-lib/libKDevPlatformSublime.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformSublime.so.%%SO_VER_LONG%%
 lib/libKDevPlatformSublime.so.%%SO_VER%%
 lib/libKDevPlatformUtil.so
-lib/libKDevPlatformUtil.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformUtil.so.%%SO_VER_LONG%%
 lib/libKDevPlatformUtil.so.%%SO_VER%%
 lib/libKDevPlatformVcs.so
-lib/libKDevPlatformVcs.so.5.12.%%KDE_APPLICATIONS_VERSION_SHORT%%0805
+lib/libKDevPlatformVcs.so.%%SO_VER_LONG%%
 lib/libKDevPlatformVcs.so.%%SO_VER%%
 lib/libKDevelopSessionsWatch.so
-%%QT_PLUGINDIR%%/grantlee/%%GRANTLEE_VERSION_SHORT%%/kdev_filters%%GRANTLEE_DEBUG_SUFFIX%%.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevCMakeBuilder.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevCMakeDocumentation.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevCMakeManager.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevCustomBuildSystem.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevCustomMakeManager.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevDefinesAndIncludesManager.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevGenericManager.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevMakeBuilder.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevManPage.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevMesonManager.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevNinjaBuilder.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevOutlineView.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevProjectFilter.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevProjectManagerView.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevQMakeBuilder.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevQMakeManager.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevStandardOutputView.so
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/KDevWelcomePage.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevandroid.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevappwizard.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevastyle.so
@@ -425,17 +446,11 @@ lib/libKDevelopSessionsWatch.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevclangtidy.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevclassbrowser.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevclazy.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcmakebuilder.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcmakedocumentation.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcmakemanager.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcodeutils.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcontextbrowser.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcppcheck.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcraft.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcustombuildsystem.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcustommakemanager.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevcustomscript.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevdefinesandincludesmanager.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevdocker.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevdocumentswitcher.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevdocumentview.so
@@ -447,41 +462,26 @@ lib/libKDevelopSessionsWatch.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevfiletemplates.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevflatpak.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevgdb.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevgenericmanager.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevghprovider.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevgit.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevgrepview.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevheaptrack.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevkonsoleview.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevlldb.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevmakebuilder.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevmanpage.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevmesonmanager.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevninja.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevokteta.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevopenwith.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevoutlineview.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevpatchreview.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevperforce.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevproblemreporter.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevprojectfilter.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevprojectmanagerview.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevqmakebuilder.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevqmakemanager.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevqmljslanguagesupport.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevqthelp.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevquickopen.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevscratchpad.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevsourceformatter.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevstandardoutputview.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevsubversion.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevswitchtobuddy.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevtestview.so
 %%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevvcschangesviewplugin.so
-%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/kdevwelcomepage.so
-%%QT_PLUGINDIR%%/kf5/krunner/krunner_kdevelopsessions.so
-%%QT_QMLDIR%%/org/kde/kdevplatform/libkdevelopdashboarddeclarativeplugin.so
-%%QT_QMLDIR%%/org/kde/kdevplatform/qmldir
+%%QT_PLUGINDIR%%/kdevplatform/%%SO_VER%%/scratchpad.so
+%%QT_PLUGINDIR%%/kf6/krunner/kdevelopsessions.so
+%%QT_PLUGINDIR%%/kf6/ktexttemplate/kdev_filters.so
 %%QT_QMLDIR%%/org/kde/plasma/private/kdevelopsessions/libkdevelopsessionsplugin.so
 %%QT_QMLDIR%%/org/kde/plasma/private/kdevelopsessions/qmldir
 share/applications/org.kde.kdevelop.desktop
@@ -512,7 +512,7 @@ share/doc/HTML/en/kdevelop/kdevelop-1a.png
 share/doc/HTML/en/kdevelop/kdevelop-2.png
 share/doc/HTML/en/kdevelop/kdevelop-20.png
 share/doc/HTML/en/kdevelop/kdevelop-23.png
-share/doc/HTML/en/kdevelop/kdevelop-24.png
+share/doc/HTML/en/kdevelop/kdevelop-%%KDE_APPLICATIONS_VERSION_SHORT%%.png
 share/doc/HTML/en/kdevelop/kdevelop-25.png
 share/doc/HTML/en/kdevelop/kdevelop-26.png
 share/doc/HTML/en/kdevelop/kdevelop-3.png
@@ -556,6 +556,8 @@ share/doc/HTML/pt_BR/kdevelop/index.cache.bz2
 share/doc/HTML/pt_BR/kdevelop/index.docbook
 share/doc/HTML/ru/kdevelop/index.cache.bz2
 share/doc/HTML/ru/kdevelop/index.docbook
+share/doc/HTML/sl/kdevelop/index.cache.bz2
+share/doc/HTML/sl/kdevelop/index.docbook
 share/doc/HTML/sv/kdevelop/index.cache.bz2
 share/doc/HTML/sv/kdevelop/index.docbook
 share/doc/HTML/uk/kdevelop/index.cache.bz2
@@ -596,12 +598,15 @@ share/kdevappwizard/templates/cmake_plainc.tar.bz2
 share/kdevappwizard/templates/cmake_plaincpp.tar.bz2
 share/kdevappwizard/templates/cmake_qt5-qml2.tar.bz2
 share/kdevappwizard/templates/cmake_qt5guiapp.tar.bz2
+share/kdevappwizard/templates/cmake_qt6quick_app.tar.bz2
+share/kdevappwizard/templates/cmake_qt6widgetsapp.tar.bz2
 share/kdevappwizard/templates/empty.tar.bz2
 share/kdevappwizard/templates/file_template_template.tar.bz2
 share/kdevappwizard/templates/meson_plainc.tar.bz2
 share/kdevappwizard/templates/meson_plaincpp.tar.bz2
 share/kdevappwizard/templates/qmake_qt5guiapp.tar.bz2
 share/kdevappwizard/templates/qt5-qml2.tar.bz2
+share/kdevclangsupport/gccCompatibility/additional_floating_types.h
 share/kdevclangsupport/wrappedQtHeaders/QtCore/qobjectdefs.h
 share/kdevcodegen/licenses/Apache v2
 share/kdevcodegen/licenses/BSD
@@ -724,6 +729,7 @@ share/kdevfiletemplates/templates/qdialog_pimpl.tar.bz2
 share/kdevfiletemplates/templates/qobject.tar.bz2
 share/kdevfiletemplates/templates/qobject_pimpl.tar.bz2
 share/kdevfiletemplates/templates/qt_interface.tar.bz2
+share/kdevfiletemplates/templates/qt_qrc_file.tar.bz2
 share/kdevfiletemplates/templates/qt_shared.tar.bz2
 share/kdevfiletemplates/templates/qt_widget.tar.bz2
 share/kdevfiletemplates/templates/qwidget_pimpl.tar.bz2
@@ -737,51 +743,10 @@ share/kdevlldb/formatters/kde.py
 share/kdevlldb/formatters/qt.py
 share/kdevmanpage/manpagedocumentation.css
 share/kdevplatform/shellutils/.zshrc
-share/kdevqmljssupport/nodejsmodules/__builtin_dom.js
-share/kdevqmljssupport/nodejsmodules/__builtin_ecmascript.js
-share/kdevqmljssupport/nodejsmodules/__builtin_qml.qml
-share/kdevqmljssupport/nodejsmodules/buffer.js
-share/kdevqmljssupport/nodejsmodules/child_process.js
-share/kdevqmljssupport/nodejsmodules/common.js
-share/kdevqmljssupport/nodejsmodules/console.js
-share/kdevqmljssupport/nodejsmodules/crypto.js
-share/kdevqmljssupport/nodejsmodules/dgram.js
-share/kdevqmljssupport/nodejsmodules/dns.js
-share/kdevqmljssupport/nodejsmodules/domain.js
-share/kdevqmljssupport/nodejsmodules/event.js
-share/kdevqmljssupport/nodejsmodules/fs.js
-share/kdevqmljssupport/nodejsmodules/http.js
-share/kdevqmljssupport/nodejsmodules/https.js
-share/kdevqmljssupport/nodejsmodules/net.js
-share/kdevqmljssupport/nodejsmodules/os.js
-share/kdevqmljssupport/nodejsmodules/path.js
-share/kdevqmljssupport/nodejsmodules/punycode.js
-share/kdevqmljssupport/nodejsmodules/querystring.js
-share/kdevqmljssupport/nodejsmodules/readline.js
-share/kdevqmljssupport/nodejsmodules/stream.js
-share/kdevqmljssupport/nodejsmodules/string_decoder.js
-share/kdevqmljssupport/nodejsmodules/tls.js
-share/kdevqmljssupport/nodejsmodules/tty.js
-share/kdevqmljssupport/nodejsmodules/url.js
-share/kdevqmljssupport/nodejsmodules/util.js
-share/kdevqmljssupport/nodejsmodules/vm.js
-share/kdevqmljssupport/nodejsmodules/zlib.js
-share/kdevqmljssupport/propertywidgets/ColorPicker.qml
-share/kdevqmljssupport/propertywidgets/Duration.qml
-share/kdevqmljssupport/propertywidgets/FontFamily.qml
-share/kdevqmljssupport/propertywidgets/FontSize.qml
-share/kdevqmljssupport/propertywidgets/Height.qml
-share/kdevqmljssupport/propertywidgets/Opacity.qml
-share/kdevqmljssupport/propertywidgets/PropertyWidget.qml
-share/kdevqmljssupport/propertywidgets/README
-share/kdevqmljssupport/propertywidgets/Spacing.qml
-share/kdevqmljssupport/propertywidgets/Width.qml
-share/knotifications5/kdevelop.notifyrc
+share/knotifications6/kdevelop.notifyrc
 share/knsrcfiles/kdevappwizard.knsrc
 share/knsrcfiles/kdevelop-qthelp.knsrc
 share/knsrcfiles/kdevfiletemplates.knsrc
-share/kservices5/plasma-applet-kdevelopsessions.desktop
-share/kservicetypes5/kdevelopplugin.desktop
 share/locale/af/LC_MESSAGES/kdevelop.mo
 share/locale/ar/LC_MESSAGES/kdevclassbrowser.mo
 share/locale/ar/LC_MESSAGES/kdevelop.mo
@@ -1226,6 +1191,7 @@ share/locale/el/LC_MESSAGES/kdevclazy.mo
 share/locale/el/LC_MESSAGES/kdevcmake.mo
 share/locale/el/LC_MESSAGES/kdevcmakebuilder.mo
 share/locale/el/LC_MESSAGES/kdevcodeutils.mo
+share/locale/el/LC_MESSAGES/kdevcompileanalyzercommon.mo
 share/locale/el/LC_MESSAGES/kdevcontextbrowser.mo
 share/locale/el/LC_MESSAGES/kdevcppcheck.mo
 share/locale/el/LC_MESSAGES/kdevcustombuildsystem.mo
@@ -1242,27 +1208,41 @@ share/locale/el/LC_MESSAGES/kdevexecuteplasmoid.mo
 share/locale/el/LC_MESSAGES/kdevexecutescript.mo
 share/locale/el/LC_MESSAGES/kdevexternalscript.mo
 share/locale/el/LC_MESSAGES/kdevfilemanager.mo
+share/locale/el/LC_MESSAGES/kdevfiletemplates.mo
+share/locale/el/LC_MESSAGES/kdevflatpak.mo
 share/locale/el/LC_MESSAGES/kdevgdb.mo
+share/locale/el/LC_MESSAGES/kdevghprovider.mo
 share/locale/el/LC_MESSAGES/kdevgit.mo
 share/locale/el/LC_MESSAGES/kdevgrepview.mo
+share/locale/el/LC_MESSAGES/kdevheaptrack.mo
 share/locale/el/LC_MESSAGES/kdevkonsole.mo
+share/locale/el/LC_MESSAGES/kdevlldb.mo
 share/locale/el/LC_MESSAGES/kdevmakebuilder.mo
 share/locale/el/LC_MESSAGES/kdevmanpage.mo
+share/locale/el/LC_MESSAGES/kdevmesonmanager.mo
+share/locale/el/LC_MESSAGES/kdevninja.mo
 share/locale/el/LC_MESSAGES/kdevokteta.mo
 share/locale/el/LC_MESSAGES/kdevopenwith.mo
+share/locale/el/LC_MESSAGES/kdevoutlineview.mo
 share/locale/el/LC_MESSAGES/kdevpatchreview.mo
+share/locale/el/LC_MESSAGES/kdevperforce.mo
 share/locale/el/LC_MESSAGES/kdevplatform.mo
 share/locale/el/LC_MESSAGES/kdevproblemreporter.mo
+share/locale/el/LC_MESSAGES/kdevprojectfilter.mo
 share/locale/el/LC_MESSAGES/kdevprojectmanagerview.mo
 share/locale/el/LC_MESSAGES/kdevqmakebuilder.mo
 share/locale/el/LC_MESSAGES/kdevqmakemanager.mo
+share/locale/el/LC_MESSAGES/kdevqmljs.mo
 share/locale/el/LC_MESSAGES/kdevqthelp.mo
 share/locale/el/LC_MESSAGES/kdevquickopen.mo
+share/locale/el/LC_MESSAGES/kdevscratchpad.mo
+share/locale/el/LC_MESSAGES/kdevsourceformatter.mo
 share/locale/el/LC_MESSAGES/kdevstandardoutputview.mo
 share/locale/el/LC_MESSAGES/kdevsubversion.mo
 share/locale/el/LC_MESSAGES/kdevswitchtobuddy.mo
 share/locale/el/LC_MESSAGES/kdevtestview.mo
 share/locale/el/LC_MESSAGES/kdevvcsprojectintegration.mo
+share/locale/el/LC_MESSAGES/kdevwelcomepage.mo
 share/locale/el/LC_MESSAGES/plasma_applet_kdevelopsessions.mo
 share/locale/el/LC_MESSAGES/plasma_runner_kdevelopsessions.mo
 share/locale/en_GB/LC_MESSAGES/kdevandroid.mo
@@ -1530,27 +1510,34 @@ share/locale/eu/LC_MESSAGES/kdevappwizard.mo
 share/locale/eu/LC_MESSAGES/kdevbazaar.mo
 share/locale/eu/LC_MESSAGES/kdevclassbrowser.mo
 share/locale/eu/LC_MESSAGES/kdevcodeutils.mo
+share/locale/eu/LC_MESSAGES/kdevcontextbrowser.mo
 share/locale/eu/LC_MESSAGES/kdevcustommake.mo
 share/locale/eu/LC_MESSAGES/kdevcustomscript.mo
 share/locale/eu/LC_MESSAGES/kdevdocker.mo
 share/locale/eu/LC_MESSAGES/kdevdocumentswitcher.mo
 share/locale/eu/LC_MESSAGES/kdevdocumentview.mo
 share/locale/eu/LC_MESSAGES/kdevelop.mo
+share/locale/eu/LC_MESSAGES/kdevexecuteplasmoid.mo
 share/locale/eu/LC_MESSAGES/kdevfilemanager.mo
 share/locale/eu/LC_MESSAGES/kdevflatpak.mo
 share/locale/eu/LC_MESSAGES/kdevgit.mo
+share/locale/eu/LC_MESSAGES/kdevgrepview.mo
 share/locale/eu/LC_MESSAGES/kdevkonsole.mo
 share/locale/eu/LC_MESSAGES/kdevmanpage.mo
+share/locale/eu/LC_MESSAGES/kdevninja.mo
 share/locale/eu/LC_MESSAGES/kdevokteta.mo
 share/locale/eu/LC_MESSAGES/kdevopenwith.mo
 share/locale/eu/LC_MESSAGES/kdevoutlineview.mo
 share/locale/eu/LC_MESSAGES/kdevplatform.mo
 share/locale/eu/LC_MESSAGES/kdevprojectfilter.mo
 share/locale/eu/LC_MESSAGES/kdevqmakebuilder.mo
+share/locale/eu/LC_MESSAGES/kdevqthelp.mo
 share/locale/eu/LC_MESSAGES/kdevsourceformatter.mo
+share/locale/eu/LC_MESSAGES/kdevsubversion.mo
 share/locale/eu/LC_MESSAGES/kdevswitchtobuddy.mo
 share/locale/eu/LC_MESSAGES/kdevtestview.mo
 share/locale/eu/LC_MESSAGES/kdevvcsprojectintegration.mo
+share/locale/eu/LC_MESSAGES/kdevwelcomepage.mo
 share/locale/eu/LC_MESSAGES/plasma_applet_kdevelopsessions.mo
 share/locale/eu/LC_MESSAGES/plasma_runner_kdevelopsessions.mo
 share/locale/fa/LC_MESSAGES/kdevelop.mo
@@ -1816,7 +1803,9 @@ share/locale/hr/LC_MESSAGES/kdevqthelp.mo
 share/locale/hr/LC_MESSAGES/kdevquickopen.mo
 share/locale/hr/LC_MESSAGES/kdevstandardoutputview.mo
 share/locale/hr/LC_MESSAGES/kdevsubversion.mo
+share/locale/hu/LC_MESSAGES/kdevandroid.mo
 share/locale/hu/LC_MESSAGES/kdevappwizard.mo
+share/locale/hu/LC_MESSAGES/kdevastyle.mo
 share/locale/hu/LC_MESSAGES/kdevbazaar.mo
 share/locale/hu/LC_MESSAGES/kdevclassbrowser.mo
 share/locale/hu/LC_MESSAGES/kdevcmake.mo
@@ -1862,8 +1851,13 @@ share/locale/hu/LC_MESSAGES/kdevsubversion.mo
 share/locale/hu/LC_MESSAGES/kdevswitchtobuddy.mo
 share/locale/hu/LC_MESSAGES/kdevtestview.mo
 share/locale/hu/LC_MESSAGES/kdevvcsprojectintegration.mo
+share/locale/hu/LC_MESSAGES/kdevwelcomepage.mo
 share/locale/hu/LC_MESSAGES/plasma_applet_kdevelopsessions.mo
 share/locale/hu/LC_MESSAGES/plasma_runner_kdevelopsessions.mo
+share/locale/ia/LC_MESSAGES/kdevappwizard.mo
+share/locale/ia/LC_MESSAGES/kdevastyle.mo
+share/locale/ia/LC_MESSAGES/kdevelop.mo
+share/locale/ia/LC_MESSAGES/kdevplatform.mo
 share/locale/is/LC_MESSAGES/kdevelop.mo
 share/locale/it/LC_MESSAGES/kdevandroid.mo
 share/locale/it/LC_MESSAGES/kdevappwizard.mo
@@ -3288,10 +3282,11 @@ share/locale/zh_TW/LC_MESSAGES/kdevwelcomepage.mo
 share/locale/zh_TW/LC_MESSAGES/plasma_applet_kdevelopsessions.mo
 share/locale/zh_TW/LC_MESSAGES/plasma_runner_kdevelopsessions.mo
 share/metainfo/org.kde.kdevelop.appdata.xml
+share/metainfo/org.kde.kdevelopsessions.appdata.xml
 share/mime/packages/kdevclang.xml
 share/mime/packages/kdevelop.xml
 share/mime/packages/kdevgit.xml
-share/plasma/plasmoids/kdevelopsessions/contents/ui/kdevelopsessions.qml
-share/plasma/plasmoids/kdevelopsessions/metadata.desktop
-share/qlogging-categories5/kdevelop.categories
-share/qlogging-categories5/kdevplatform.categories
+share/plasma/plasmoids/org.kde.kdevelopsessions/contents/ui/main.qml
+share/plasma/plasmoids/org.kde.kdevelopsessions/metadata.json
+share/qlogging-categories6/kdevelop.categories
+share/qlogging-categories6/kdevplatform.categories
diff --git a/devel/kf5-kauth/Makefile b/devel/kf5-kauth/Makefile
index 890ec028730b..e0f2a9780a8a 100644
--- a/devel/kf5-kauth/Makefile
+++ b/devel/kf5-kauth/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	kauth
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	devel kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
diff --git a/devel/kf5-kfilemetadata/Makefile b/devel/kf5-kfilemetadata/Makefile
index 9226120a4239..d85a9bf01fe8 100644
--- a/devel/kf5-kfilemetadata/Makefile
+++ b/devel/kf5-kfilemetadata/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	kfilemetadata
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	devel kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
@@ -25,6 +26,6 @@ OPTIONS_DEFAULT=	${OPTIONS_DEFINE}
 OPTIONS_SUB=	yes
 
 MOBIPOCKET_DESC=	Mobipocket plugin to handle metadata
-MOBIPOCKET_LIB_DEPENDS=	libqmobipocket.so:graphics/kdegraphics-mobipocket
+MOBIPOCKET_LIB_DEPENDS=	libqmobipocket.so:graphics/kdegraphics-mobipocket@qt5
 
 .include <bsd.port.mk>
diff --git a/devel/kf5-kio/Makefile b/devel/kf5-kio/Makefile
index a586e18f332b..edab8f2a7e23 100644
--- a/devel/kf5-kio/Makefile
+++ b/devel/kf5-kio/Makefile
@@ -1,10 +1,13 @@
 PORTNAME=	kio
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	devel kde kde-frameworks
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KF5 resource and network access abstraction
 
+DEPRECATED=	has its functionality stripped compared to a kf6 variant
+
 USES=		cmake compiler:c++11-lib desktop-file-utils \
 		gettext gnome kde:5 cpe qt:5 ssl tar:xz xorg
 USE_GNOME=	libxml2 libxslt
@@ -19,4 +22,7 @@ USE_QT=		concurrent core dbus declarative gui network \
 		buildtools:build qmake:build testlib:build
 USE_XORG=	x11
 
+# KF6 coinstallability
+CMAKE_ON=	KF6_COMPAT_BUILD
+
 .include <bsd.port.mk>
diff --git a/devel/kf5-kio/pkg-plist b/devel/kf5-kio/pkg-plist
index 89a1fca17318..f24fdd769afe 100644
--- a/devel/kf5-kio/pkg-plist
+++ b/devel/kf5-kio/pkg-plist
@@ -354,7 +354,7 @@ lib/libexec/kf5/kpac_dhcp_helper
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_netpref.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_proxy.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_webshortcuts.so
-share/applications/kcm_trash.desktop
+@comment share/applications/kcm_trash.desktop
 share/applications/ktelnetservice5.desktop
 share/dbus-1/interfaces/kf5_org.kde.KCookieServer.xml
 share/dbus-1/interfaces/kf5_org.kde.KDirNotify.xml
diff --git a/devel/kf6-kfilemetadata/Makefile b/devel/kf6-kfilemetadata/Makefile
index 86ed0621520a..3e0316e117d1 100644
--- a/devel/kf6-kfilemetadata/Makefile
+++ b/devel/kf6-kfilemetadata/Makefile
@@ -1,14 +1,29 @@
 PORTNAME=	kfilemetadata
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	devel kde kde-frameworks
 
 COMMENT=	Library for extracting the text and metadata from a number files
 MAINTAINER=	kde@FreeBSD.org
 
-USES=		cmake gettext gl kde:6 qt:6 tar:xz
+LIB_DEPENDS=	libavutil.so:multimedia/ffmpeg \
+		libepub.so:textproc/ebook-tools \
+		libexiv2.so:graphics/exiv2 \
+		libpoppler.so:graphics/poppler \
+		libpoppler-qt6.so:graphics/poppler-qt6 \
+		libtag.so:audio/taglib
+
+USES=		cmake gettext gl kde:6 pkgconfig qt:6 tar:xz
 USE_GL=		gl opengl
 USE_KDE=	archive config coreaddons i18n codecs\
 		ecm:build
 USE_QT=		base
 
+OPTIONS_DEFINE=	MOBIPOCKET
+OPTIONS_DEFAULT=	MOBIPOCKET
+OPTIONS_SUB=	yes
+
+MOBIPOCKET_DESC=	Mobipocket plugin to handle metadata
+MOBIPOCKET_LIB_DEPENDS=	libQMobipocket6.so:graphics/kdegraphics-mobipocket@qt6
+
 .include <bsd.port.mk>
diff --git a/devel/kf6-kfilemetadata/pkg-plist b/devel/kf6-kfilemetadata/pkg-plist
index b8c056ba1d89..8eac6940294b 100644
--- a/devel/kf6-kfilemetadata/pkg-plist
+++ b/devel/kf6-kfilemetadata/pkg-plist
@@ -39,16 +39,23 @@ lib/cmake/KF6FileMetaData/KF6FileMetaDataTargets.cmake
 lib/libKF6FileMetaData.so
 lib/libKF6FileMetaData.so.3
 lib/libKF6FileMetaData.so.%%KDE_FRAMEWORKS_VERSION%%
+%%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_epubextractor.so
+%%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_exiv2extractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_fb2extractor.so
+%%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_ffmpegextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_krita.so
+%%MOBIPOCKET%%%%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_mobiextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_odfextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_office2007extractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_officeextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_plaintextextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_pngextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_poextractor.so
+%%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_popplerextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_postscriptdscextractor.so
+%%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_taglibextractor.so
 %%QT_PLUGINDIR%%/kf6/kfilemetadata/kfilemetadata_xmlextractor.so
+%%QT_PLUGINDIR%%/kf6/kfilemetadata/writers/kfilemetadata_taglibwriter.so
 share/locale/ar/LC_MESSAGES/kfilemetadata6.mo
 share/locale/ast/LC_MESSAGES/kfilemetadata6.mo
 share/locale/az/LC_MESSAGES/kfilemetadata6.mo
diff --git a/devel/kf6-knewstuff/Makefile b/devel/kf6-knewstuff/Makefile
index ed99e5a3f68a..5375354fbda6 100644
--- a/devel/kf6-knewstuff/Makefile
+++ b/devel/kf6-knewstuff/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	knewstuff
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	devel kde kde-frameworks
 
 COMMENT=	Framework for downloading and sharing additional application data
@@ -7,8 +8,10 @@ MAINTAINER=	kde@FreeBSD.org
 
 USES=		cmake gettext gl kde:6 qt:6 tar:xz
 USE_GL=		gl opengl
-USE_KDE=	archive attica config coreaddons i18n package widgetsaddons \
-		ecm:build
+USE_KDE=	archive attica config coreaddons i18n package syndication \
+		widgetsaddons \
+		ecm:build \
+		kirigami2:run
 USE_QT=		base declarative
 
 .include <bsd.port.mk>
diff --git a/devel/kf6-ktexttemplate/Makefile b/devel/kf6-ktexttemplate/Makefile
index fa5f66688402..6956c957ff00 100644
--- a/devel/kf6-ktexttemplate/Makefile
+++ b/devel/kf6-ktexttemplate/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	ktexttemplate
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	devel kde kde-frameworks
 
 COMMENT=	Library to separate the structure of documents from the data
@@ -7,6 +8,6 @@ MAINTAINER=	kde@FreeBSD.org
 
 USES=		cmake kde:6 qt:6 tar:xz
 USE_KDE=	ecm:build
-USE_QT=		base
+USE_QT=		base declarative
 
 .include <bsd.port.mk>
